!!ARBfp1.0
OPTION ARB_fog_linear;

TEMP temp,reflect,texColor,extraColor,specular;
TEMP tempColor,shadeColor;

#get unit texture
TEX texColor, fragment.texcoord[0], texture[0], 2D;
TEX extraColor, fragment.texcoord[0], texture[1], 2D;

#normalize surface normal
DP3 temp.x, fragment.texcoord[2], fragment.texcoord[2];
RSQ temp.x, temp.x;
MUL temp, fragment.texcoord[2], temp.x;

#calc reflection dir
DP3 reflect.x, temp, fragment.texcoord[3];
MUL reflect.x, reflect.x,{-2};
MAD reflect, temp, reflect.x, fragment.texcoord[3];

TEX reflect, reflect, texture[2], CUBE;

LRP shadeColor, extraColor.y, reflect, {1,1,1,1};

# interpolate between texture and teamcolor
LRP texColor, texColor.w, program.env[4], texColor; 
ADD shadeColor, shadeColor, extraColor.x;

MAD result.color, texColor, shadeColor, specular;
MUL result.color, texColor, shadeColor;
#MOV result.color, reflect;
END
